<?php

require_once 'tpl.inc';
require_once 'ubb.inc';

$exec_time = (float) microtime();
$ubb = new UBB;
$exec_time = ((float)microtime())-$exec_time;

set_vartag('V_Tests', '$tests');
set_vartag('V_Test_Index', '$i');
set_vartag('V_Test_No_UBB', 'str_replace(htmlspecialchars("<br />"), "<br />", htmlspecialchars($data))');
set_vartag('V_Test_UBB', '$output');
set_vartag('V_Plugins', '$plugins');
set_vartag('V_Exec_Time', '$exec_time');

$tests = '';
$plugins = '';

/*
	LOAD AND PROCESS TESTFILES
*/
$data = $_POST['txt_text'];
$output = $ubb->parse(str_replace("\n", "<br />", $data));
$tests.=get_template("ubb_input");

$test_files = glob(FOLDER_TEMPLATES.'/ubb_test*.htm');

for($i=1; $i<=count($test_files); $i++)
// $i=3;
{
	$data = get_template("ubb_test$i");
	
	$t = (float) microtime();
	$output = $ubb->parse($data);
	$exec_time+= ((float) microtime()-$t);
	
	$tests.=get_template('test');
}

/*
	LIST PLUGINS
*/
$p = $ubb->list_plugins(true);
for($i=0; $i<count($p); $i++)
	$plugins.="\n".$p[$i]->info['Name'].' v'.$p[$i]->info['Version'].': <i>'.$p[$i]->info['Info']."</i><br />";


$exec_time = round($exec_time, 6);
print(get_template('index'));


function debug_arr($arr, $title='')
{
	print("<b>$title</b>");
	print("<pre>");
	print_r($arr);
	print("</pre>");
}
?>
